Loading...
Searching...
No Matches
RootNode< ChildT >::ValueOnIterator Class Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

| ValueOnIterator ()
| ValueOnIterator (const RootNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
ValueType | operator* () const
| operator bool () const
uint32_t | pos () const
CoordType | getOrigin () const
ValueOnIterator & | operator++ ()
ValueOnIterator | operator++ (int)

## Constructor & Destructor Documentation

## ValueOnIterator() [1/2]

template<typename ChildT>

ValueOnIterator | ( |  | ) |

inline

## ValueOnIterator() [2/2]

template<typename ChildT>

ValueOnIterator | ( | const RootNode * | parent | ) |

inline

## Member Function Documentation

## getOrigin()

template<typename ChildT>

CoordType getOrigin | ( |  | ) | const

inline

## operator bool()

template<typename ChildT>

operator bool | ( |  | ) | const

inline

## operator*()

template<typename ChildT>

ValueType operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename ChildT>

ValueOnIterator & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename ChildT>

ValueOnIterator operator++ | ( | int |  | ) |

inline

## operator=()

template<typename ChildT>

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |

default

## pos()

template<typename ChildT>

uint32_t pos | ( |  | ) | const

inline